case $CONFIG in
'')
    if test ! -f config.sh; then
	ln ../config.sh . || \
	ln ../../config.sh . || \
	ln ../../../config.sh . || \
	(echo "Can't find config.sh."; exit 1)
	echo "Using config.sh from above..."
    fi
    . ./config.sh

    ;;
esac

case "$subdir" in
'')
     subdir=$1
     test "$subdir" != "" && cd $subdir
     ;;
esac

case "$subdir" in
'')
    case "$0" in
    */*) cd `expr X$0 : 'X\(.*\)/'` ;;
    esac	    

    ;;
*)
    ;;
esac


if $test "$linepr" = none -o "$linepr" = "" ; then
	default_printout=none
else
	default_printout="$cat %s | $linepr"
fi

echo "Extracting hdrs/sysdefs.h (with variable substitutions)"
sed <<!GROK!THIS! >sysdefs.h -e 's!^#undef!/\*#undef!'
/* $Id: sysdefs.SH,v 2.2 2009-10-21 04:22:16 hurtta Exp $ */
/*****************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.2 $   $State: Exp $
 *
 *  Modified by: Kari Hurtta <hurtta+elm@posti.FMI.FI> 
 *                       (was hurtta+elm@ozone.FMI.FI)
 *           or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************
 *  Based on Elm 2.4 hdrs/sysdefs.SH. That code was following copyright:
 *
 *  The Elm Mail System 
 *
 * 			Copyright (c) 1988-1992 USENET Community Trust
 * 			Copyright (c) 1986,1987 Dave Taylor
 *****************************************************************************
 *  Incorparated Elm 2.5 code from hdrs/sysdefs.SH.
 *  That code was following copyright:
 *
 *  The Elm Mail System
 *
 * 			Copyright (c) 1988-1992 USENET Community Trust
 * 			Copyright (c) 1986,1987 Dave Taylor
 *****************************************************************************/

/**  System level, configurable, defines for the ELM mail system.  **/

#define MAX_IN_WEEDLIST 150	/* max headers to weed out               */

#define DEFAULT_BATCH_SUBJECT  "$defbatsub"

#define OLD_SYSTEM_TEXT_FILE	"$etc/aliases.text"
#define OLD_SYSTEM_DATA_FILE	"$etc/aliases"
#define SYSTEM_ALIASES_FILE	"$etc/elm.aliases"
#define SYSTEM_RC_FILE		"$etc/elm.rc"
#define SYSTEM_MIME_TYPES	"$etc/elm.mimetypes"
#define SYSTEM_MIME_CHARSETS    "$etc/elm.mimecharsets"
#define SYSTEM_ISO2022_SETS     "$etc/elm.iso2022sets"
#define SYSTEM_TERMINAL_INFO    "$etc/elm.terminalinfo"
#define SYSTEM_MAIL_SERVICES    "$etc/elm.mailservices"
#define ETCHOME                 "$etc"
#define SYSTEM_DEFAULT_FILELIST "$etc/elm.filelist"
#define LIBHOME                 "$lib"
#define SYSTEM_HELP_DIR		"$lib"
#define BINHOME                 "$bin"
#define SYSTEM_MLIST_FILE       "$etc/elm.mailinglists"

/* Directory for post-install files */
#define STAGE_DIR               "$stage_dir"

#define OLD_USER_ALIAS_TEXT	".elm/aliases.text"
#define OLD_USER_ALIAS_DATA	".elm/aliases"
#define USER_ALIASES_FILE	".elm/elmaliases"
#define USER_MIME_TYPES	        ".elm/mime.types"
#define USER_MIME_CHARSETS	".elm/mime.charsets"
#define USER_ISO2022_SETS       ".elm/iso2022.sets"
#define USER_TERMINAL_INFO	".elm/terminal.info"
#define USER_MAIL_SERVICES      ".elm/mail.services"
#define USER_MLIST_FILE         ".elm/mailing.lists"

#define HOSTDOMFILE             "$etc/domain"

#define	default_temp   	"$tmpdir/"
#define temp_file	"snd."
#define temp_form_file	"form."
#define temp_print      "print."
#define temp_edit	"elm-edit"
#define temp_state	"est."

#define emacs_editor	"$emacs"
#define vi_editor	"$vi"

#define default_editor	"$defeditor $editoropts"
#define mailhome	"$maildir/"

/* elmregister needs call cp */
#define ELMREGISTER_CP  "$cp"

#ifndef USE_BUILTIN_PAGER
#define default_pager	"$pager"
#endif
#define DEFAULT_PRINTOUT	"$default_printout"

#define DEFAULT_SYSTEM_CHARSET	"$defsystemcharset"

#define DEFAULT_MAILER_PATH		"$mailer"
#define SENDMAIL_MAILER_PATH		"$sendmail"
#define SUBMITMAIL_MAILER_PATH		"$submit"
#define EXECMAIL_MAILER_PATH		"$execmail"


#define ELMRC_INFO	"$lib/elmrc-info"

#ifdef SHARED_LIBS
#define SHARED_DIR       "$shlib"
#define SHARED_LIBPREFIX "libelmme-"
#define SHARED_LIBSUFFIX ".so$d_shared_rev"
#endif

#define ELMRCFILE	".elm/elmrc"
#define old_elmrcfile	".elm/elmrc.old"
#define MAILHEADERS	".elm/elmheaders"
#define dead_letter	"Canceled.mail"

#define unedited_mail	"emergency.mbox"



#define remove_cmd	"$rm -f"	/* how to remove a file */

#define MSG_SEPARATOR	"\001\001\001\001\n"	/* mmdf message seperator */


#ifndef STRSTR
char *strstr();
#endif

!GROK!THIS!

#
# Local Variables:
#  mode:c
#  c-basic-offset:4
#  buffer-file-coding-system: iso-8859-1
# End:
#
